package com.tzld.piaoquan.api.service.contentplatform;

import com.tzld.piaoquan.api.model.param.contentplatform.DeleteVideoParam;
import com.tzld.piaoquan.api.model.param.contentplatform.PublishVideoParam;
import com.tzld.piaoquan.api.model.param.contentplatform.UploadVideoListParam;
import com.tzld.piaoquan.api.model.param.contentplatform.VideoAuditCallBackParam;
import com.tzld.piaoquan.api.model.vo.contentplatform.UploadVideoItemVO;
import com.tzld.piaoquan.growth.common.utils.page.Page;

public interface ContentPlatformUploadContentService {

    UploadVideoItemVO publishVideo(PublishVideoParam param);

    UploadVideoItemVO createVideo(PublishVideoParam param);

    UploadVideoItemVO updateVideo(PublishVideoParam param);

    void deleteVideo(DeleteVideoParam param);

    void videoAuditCallBack(VideoAuditCallBackParam param);

    Page<UploadVideoItemVO> uploadVideoList(UploadVideoListParam param);
}
